/*
 * Copyright (c) 2011, Patrik Dufresne. All rights reserved.
 * Patrik Dufresne PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.planimod.core.comparators;

import java.util.Calendar;
import java.util.Comparator;

import org.apache.commons.collections.ComparatorUtils;
import org.apache.commons.collections.Transformer;
import org.apache.commons.collections.comparators.ComparatorChain;

import com.planimod.core.AbstractCalendarEvent;
import com.planimod.core.Shift;
import com.planimod.core.TimeRange;

/**
 * Utility class providing comparators for calendar event objects.
 * 
 * @author Patrik Dufresne
 * 
 */
public class TimeRangeComparators {

	@SuppressWarnings("unchecked")
	public static Comparator<TimeRange> byDate() {
		return ComparatorUtils.transformedComparator(ComparatorUtils
				.nullLowComparator(ComparatorUtils.naturalComparator()),
				new Transformer() {
					@Override
					public Object transform(Object input) {
						return ((TimeRange) input).getStartDate();
					}
				});
	}

}
